Bug 683299 - [abrt] yum-utils-1.1.28-1.fc14: yumRepo.py:528:_dirSetupMkdir_p:RepoError: Cannot access repository dir /var/tmp/yum-fraggle-BqtRCG/x86_64/14/adobe-linux-i386
[abrt] yum-utils-1.1.28-1.fc14: yumRepo.py:528:_dirSetupMkdir_p:RepoError: Ca...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:f4280f3c
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-08 21:32 EST by Jérôme Benoit
Modified: 2014-01-21 18:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 11:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.86 KB, text/plain)
2011-03-08 21:32 EST, Jérôme Benoit
no flags Details

  None (edit)
Description Jérôme Benoit 2011-03-08 21:32:26 EST
abrt version: 1.1.17
architecture: x86_64
component: yum-utils
executable: /usr/bin/repoquery
kernel: 2.6.35.11-83.fc14.x86_64
package: yum-utils-1.1.28-1.fc14
reason: yumRepo.py:528:_dirSetupMkdir_p:RepoError: Cannot access repository dir /var/tmp/yum-fraggle-BqtRCG/x86_64/14/adobe-linux-i386
release: Fedora release 14 (Laughlin)
time: 1299637605
uid: 500

backtrace
-----
yumRepo.py:528:_dirSetupMkdir_p:RepoError: Cannot access repository dir /var/tmp/yum-fraggle-BqtRCG/x86_64/14/adobe-linux-i386

Traceback (most recent call last):
  File "/usr/bin/repoquery", line 1187, in <module>
    main(sys.argv)
  File "/usr/bin/repoquery", line 1181, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 763, in runQuery
    pkgs = self.matchPkgs(items, plain_pkgs=plain_pkgs)
  File "/usr/bin/repoquery", line 739, in matchPkgs
    pkgs = self.returnPkgList(patterns=items)
  File "/usr/bin/repoquery", line 692, in returnPkgList
    pkgs = self.pkgSack.returnNewestByNameArch(**kwargs)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 827, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 617, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 283, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 131, in populate
    storedir=repo.cachedir,
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 582, in <lambda>
    cachedir = property(lambda self: self._dirGetAttr('cachedir'))
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 565, in _dirGetAttr
    self.dirSetup()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 552, in dirSetup
    self._dirSetupMkdir_p(dir)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 528, in _dirSetupMkdir_p
    raise Errors.RepoError, "Cannot access repository dir %s" % dpath
RepoError: Cannot access repository dir /var/tmp/yum-fraggle-BqtRCG/x86_64/14/adobe-linux-i386

Local variables in innermost frame:
self: <yum.yumRepo.YumRepository object at 0x1d71c50>
dpath: '/var/tmp/yum-fraggle-BqtRCG/x86_64/14/adobe-linux-i386'

How to reproduce
-----
1. Well, nothing
2.
3.
Comment 1 Jérôme Benoit 2011-03-08 21:32:29 EST
Created attachment 483092 [details]
File: backtrace
Comment 2 Paul Lange 2011-04-16 12:18:47 EDT
Package: yum-utils-1.1.28-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. run fedpkg clone
Comment 3 Fedora End Of Life 2012-08-16 11:49:28 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.